RLESWAP(1)

NAME
rleswap - swap the channels in an RLE file.

SYNOPSIS
rleswap [ -v ] [ -f from-channels,... ] [ -t to-channels,... ] [ -d delete-channels,... ] [ -p channel-pairs,... ] [ -o outfile ] [ infile ]

DESCRIPTION
This program can be used to select or swap the color channels in a RLE(5) file. The major options provide four different ways of specifying a mapping between the channels in the input file and the output file. Only one of the options -f, -t, -d, or -p may be specified. If the optional infile is not given, input will be read from standard input. A new RLE(5) file will be written to the standard output or to outfile, if specified. The output image will be similar to the input, except for the specified channel remappings.

OPTIONS

-v  Print the channel mappings that will be performed on the standard error output.

-f  Following this option is a comma separated list of numbers indicating the input channel that maps to each output channel in sequence. I.e., the first number indicates the input channel mapping to output channel 0. The alpha channel will be passed through unchanged if present. Any input channels not mentioned in the list will not appear in the output.

-t  Following this option is a comma separated list of numbers indicating the output channel to which each input channel, in sequence, will map. I.e., the first number gives the output channel to which the first input channel will map. No number may be repeated in this list. The alpha channel will be passed through unchanged if present. Any output channel not mentioned in the list will not receive image data. If there are fewer numbers in the list than there are input channels, the excess input channels will be ignored. If there are more numbers than input channels, it is an error.

-d  Following this option is a comma separated list of numbers indicating channels to be deleted from the input file. All other channels will be passed through unchanged. The alpha channel may be specified as -1.

-p  Following this option is a comma separated list of pairs of channel numbers. The first channel of each pair indicates a channel in the input file that will be mapped to the the channel in the output file indicated by the second number in the pair. No output channel number may appear more than once. Any input channel not mentioned will not appear in the output file. Any output channel not mentioned will not receive image data. The alpha channel may be specified as -1.

SEE ALSO
mergechan(1), urt(1), RLE(5).

AUTHOR
Spencer W. Thomas, University of Utah